#include "server.h"
#include "mainwindow.h"
#include "serverlistviewitem.h"
#include <qmessagebox.h>
#include <qstatusbar.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qdom.h>
#include <qfile.h>
#include <stdlib.h>
#include <stdio.h>
#include "config.h"
#ifndef WIN32
#include <unistd.h>
#endif

void MainWindow::slot_connect_new()
{
	Server *server = new Server(TRUE, this, 0);
	
	server->show();	
}

void MainWindow::slot_connect()
{
	Server *server = new Server(FALSE, this, 0);

	connect(server, SIGNAL(signal_server(const QString &, const QString &)), this, SLOT(slot_server(const QString &, const QString &)));

	server->show();
}

void MainWindow::slot_server(const QString &host, const QString &user)
{
	flag = TRUE;
	sprintf(this->host, "%s", host.latin1());
	sprintf(this->user, "%s", user.latin1());
			
	statusBar()->message(tr("Connected..."),3000);

	setCaption(QObject::tr("MySQL Navigator ") + VERSION + " - " + host);

	if(option.log)
		log->show();
	else
		log->hide();

	if(option.schema.flag)
		slot_schema2();	

	slot_database();

	enable_menu();

	load_history();
}

void MainWindow::connect_directly(const QString &host, const QString &user, const QString &password, const QString &database, const int &port, const QString socket)
{
	if(!mysql_real_connect(&mysql,
							host.latin1(),
							user.latin1(),
							password.latin1(),
							database.latin1(),
							port,
							socket.latin1(),
							0	
							))
	{
		QMessageBox::critical(this, tr("MySQL Navigator"), QString::fromLocal8Bit(mysql_error(&mysql)));
	}
	else
	{
		sprintf(this->host, "%s", host.latin1());
		sprintf(this->user, "%s", user.latin1());

		flag =  TRUE;

		statusBar()->message(tr("Connected..."),3000);

		setCaption(QObject::tr("MySQL Navigator ") + VERSION + " - " + user + "@" + host);

		if(option.log)
			log->show();
		else
			log->hide();
	
		if(option.schema.flag)
			slot_schema2();	

		slot_database();

		enable_menu();

		load_history();
	}
}
