#include "mainwindow.h"
#ifdef WIN32
#include "include/resource.h"
#else
#include "resource.h"
#endif
#include <qwindowsstyle.h>
#include <qmotifstyle.h>
#include <qmotifplusstyle.h>
#include <qcdestyle.h>
#include <qplatinumstyle.h>
#include <qsgistyle.h>
#include <qmenubar.h>

#include "jfcstyle.h"
#include "stepstyle.h"

void MainWindow::slot_windows()
{
	option.style = 0;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_WINDOWS,TRUE);
	
	qApp->setStyle(new QWindowsStyle());
}

void MainWindow::slot_cde()
{
	option.style = 1;
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_CDE,TRUE);
	
	qApp->setStyle(new QCDEStyle());
}

void MainWindow::slot_motif()
{
	option.style = 2;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_MOTIF,TRUE);

	qApp->setStyle(new QMotifStyle());
}

void MainWindow::slot_motif_plus()
{
	option.style = 3;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_MOTIF_PLUS,TRUE);

	qApp->setStyle(new QMotifPlusStyle());
}

void MainWindow::slot_platinum()
{
	option.style = 4;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_SGI,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_PLATINUM,TRUE);	

	qApp->setStyle(new QPlatinumStyle());
}

void MainWindow::slot_sgi()
{
	option.style = 5;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_SGI, TRUE);	

	qApp->setStyle(new QSGIStyle());
}

void MainWindow::slot_jfc()
{
#ifndef WIN32	
	option.style = 6;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, FALSE);	
	menuBar()->setItemChecked(ID_JFC, TRUE);	

	qApp->setStyle(new JFCStyle());
#endif	
}

void MainWindow::slot_nextstep()
{
	option.style = 7;
	menuBar()->setItemChecked(ID_CDE,FALSE);
	menuBar()->setItemChecked(ID_MOTIF,FALSE);
	menuBar()->setItemChecked(ID_MOTIF_PLUS,FALSE);
	menuBar()->setItemChecked(ID_WINDOWS,FALSE);
	menuBar()->setItemChecked(ID_PLATINUM,FALSE);	
	menuBar()->setItemChecked(ID_SGI, FALSE);	
	menuBar()->setItemChecked(ID_JFC, FALSE);	
	menuBar()->setItemChecked(ID_NEXTSTEP, TRUE);	

	qApp->setStyle(new StepStyle());
}
